summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2012-05-23 03:24:44 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2012-05-23 03:24:44 +0000
commit0c3685dd8327bbce2b109100e27458eb302c84df (patch)
treecfc9ee8b43136451fca3369cf7642b67e1b82d28 /eclass/apache-2.eclass
parentFix building with glibc-2.16+. (diff)
downloadgentoo-2-0c3685dd8327bbce2b109100e27458eb302c84df.tar.gz
gentoo-2-0c3685dd8327bbce2b109100e27458eb302c84df.tar.bz2
gentoo-2-0c3685dd8327bbce2b109100e27458eb302c84df.zip
Avoid using 'make' for installing; use 'mkdir -p' for creating the directories to solve parallel install issues (Apache's script is not safe, but we expect a working mkdir -p). Tested on a 32-way system.
Diffstat (limited to 'eclass/apache-2.eclass')
-rw-r--r--eclass/apache-2.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/apache-2.eclass b/eclass/apache-2.eclass
index 570a61850a8f..b4fc37be5ca5 100644
--- a/eclass/apache-2.eclass
+++ b/eclass/apache-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/apache-2.eclass,v 1.28 2012/03/29 15:35:04 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/apache-2.eclass,v 1.29 2012/05/23 03:24:44 flameeyes Exp $
# @ECLASS: apache-2.eclass
# @MAINTAINER:
@@ -467,7 +467,7 @@ apache-2_src_configure() {
# This function runs `emake install' and generates, installs and adapts the gentoo
# specific configuration files found in the tarball
apache-2_src_install() {
- make DESTDIR="${D}" install || die "make install failed"
+ emake DESTDIR="${D}" MKINSTALLDIRS="mkdir -p" install || die "make install failed"
# install our configuration files
keepdir /etc/apache2/vhosts.d